#!/bin/sh

error() {
	printf "%s\n" "$@" >&2
	exit 1
}

DIR="$1"

if ! [ -e "$DIR" ]; then
	error "Usage: $0 path_to_PCIE-WLAN-....-extracted" "" \
		"Get MGPL tarball from the URL below and extract it in its own subdir" \
		"https://www.nxp.com/products/wireless/wi-fi-plus-bluetooth-plus-802-15-4/2-4-5-ghz-dual-band-2x2-wi-fi-6-802-11ax-plus-bluetooth-5-3:88W9098"
fi

if [ "${DIR%-MGPL*}" = "${DIR}" ]; then
	error "Use the MGPL variant of the tarball"
fi

set -e
cp -v "$DIR/COPYING" .
cp -v "$DIR/PCIE-WLAN-UART"*"/FwImage/pcieuart9098_combo_v1.bin" .
